Name:            python-productmd
Version:         1.26
Release:         2
Summary:         Python library providing parsers for metadata
License:         LGPLv2+
URL:             https://github.com/release-engineering/productmd
Source0:         https://files.pythonhosted.org/packages/source/p/productmd/productmd-%{version}.tar.bz2

Patch9000:       0001-fix-short-variable-none.patch

BuildArch:       noarch

%description
This package is a Python library providing parsers for metadata related to
composes and installation media.

%package      -n python2-productmd
Summary:         productmd for python2
Obsoletes:       productmd <= %{version}-%{release}
Provides:        productmd = %{version}-%{release}
BuildRequires:   python2-devel python2-setuptools python2-six
Requires:        python2-six
%{?python_provide:%python_provide python2-productmd}

%description  -n python2-productmd
Productmd for python2.

%package      -n python3-productmd
Summary:         productmd for python3
BuildRequires:   python3-devel python3-setuptools python3-six sed
Requires:        python3-six

%description  -n python3-productmd
Productmd for python3.

%prep
%autosetup -n productmd-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} ./setup.py test
%{__python3} ./setup.py test

%pre

%preun

%post

%postun

%files -n python2-productmd
%license LICENSE AUTHORS
%{python2_sitelib}/productmd/
%{python2_sitelib}/productmd-%{version}-py?.?.egg-info

%files -n python3-productmd
%license LICENSE AUTHORS
%{python3_sitelib}/productmd/
%{python3_sitelib}/productmd-%{version}-py?.?.egg-info

%changelog
* Sat` Mar 6 2021 yanan <yanan@huawei.com> - 1.26-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix short variable none

* Sat Aug 22 2020 tianwei <tianwei12@huawei.com> - 1.26-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update to release 1.26

* Wed Oct 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.22-2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add support generic os

* Fri Oct 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.22-1
- Package init
